# support using the same spec for CS3->2008.0
%if %mdkversion == 300
%define distversion C30
%{?!mkrel:%define mkrel(c:) %{-c: 0.%{-c*}.}%{!?_with_unstable:%(perl -e '$_="%{1}";m/(.\*\\D\+)?(\\d+)$/;$rel=${2}-1;re;print "$1$rel";').%{?subrel:%subrel}%{!?subrel:1}.%{?distversion:%distversion}%{?!distversion:%(echo $[%{mdkversion}/10])}}%{?_with_unstable:%{1}}%{?distsuffix:%distsuffix}%{?!distsuffix:mdk}}
%endif

%define rel	5
%define subrel	2

Summary:	A program for synchronizing files over a network
Name:		rsync
Version: 	2.6.9
Release:	%mkrel %rel
Group:		Networking/File transfer
URL:		http://rsync.samba.org/
Source0:	http://rsync.samba.org/ftp/rsync/%{name}-%{version}.tar.gz
Source1:	rsync.html
Source2:	rsyncd.conf.html
Source3:	rsync.xinetd
Source4:	http://rsync.samba.org/ftp/rsync/%{name}-%{version}.tar.gz.asc
Patch0:     rsync-acl-delete.patch
Patch1:     rsync-2.6.9-suse-CVE-2007-4091.patch
Patch2:		munge-symlinks-2.6.9-CVE-2007-6199.diff
Patch3:		daemon-exclude-2.6.9-CVE-2007-6200.diff
License:	GPL
BuildRequires:	popt-devel
BuildRequires:  libacl-devel
BuildRequires:  acl
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%define apply_patches 1

%{?_with_patches:%define apply_patches 1}
%{?_without_patches:%define apply_patches 0}

%description
Rsync uses a quick and reliable algorithm to very quickly bring
remote and host files into sync.  Rsync is fast because it just
sends the differences in the files over the network (instead of
sending the complete files). Rsync is often used as a very powerful
mirroring process or just as a more capable replacement for the
rcp command.  A technical report which describes the rsync algorithm
is included in this package.

Install rsync if you need a powerful mirroring program.
%if %apply_patches
This rpm has these patches applied from rsync tree:
  - acl: allow to mirror acl

Rebuild the source rpm with `--without patches' if you don't  want these patches
%endif

%prep

%setup -q -n %{name}-%{version}
%patch1 -p1 -b .CVE-2007-4091
%if %apply_patches
#%%__patch -p1 -b -z .dir-del < patches/backup-dir-dels.diff
%__patch -p1 -b -z .acl < patches/acls.diff
%patch0 -p0 -b .acldelete
%endif
%patch2 -p1 -b .cve-2007-6199
%patch3 -p1 -b .cve-2007-6200


%build
%__autoconf
%__autoheader
%serverbuild
rm -f config.h

%configure2_5x \
    --enable-acl-support \
    --with-acl-support \
    --with-nobody-group=nogroup

# kernel or glibc sucks
perl -pi -e 's:^#define HAVE_LUTIMES 1$:/* #undef HAVE_LUTIMES */:' config.h

%make proto
%make

%check
# Test failed on the cluster because there are 2 svn group
[ `hostname | grep mandriva.com` ] && exit 0
make test

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

install -d %{buildroot}{%{_bindir},%{_mandir}/{man1,man5}}

%makeinstall

install -m644 %{SOURCE1} %{SOURCE2} .
install -D -m 644 %{SOURCE3} %{buildroot}%{_sysconfdir}/xinetd.d/rsync

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc tech_report.tex README *html
%config(noreplace) %{_sysconfdir}/xinetd.d/%{name}
%{_bindir}/rsync
%{_mandir}/man1/rsync.1*
%{_mandir}/man5/rsyncd.conf.5*




%changelog
* Fri Apr 11 2008 Vincent Danen <vdanen@mandriva.com> 2.6.9-5.2mdv2008.0
- P4: security fix for CVE-2008-1720
- adjust spec so we can use the same spec for CS3->2008.0

* Fri Jan 11 2008 Gustavo De Nardin <gustavodn@mandriva.com> 2.6.9-0.1.C30mdk
- upgrade to 2.6.9-5mdv2008.0 for ease of maintenance
- P2: security fix for CVE-2007-6199
- P3: security fix for CVE-2007-6200

* Sun Aug 26 2007 Olivier Thauvin <nanardon@mandriva.org> 2.6.9-5mdv2008.0
+ Revision: 71493
- fix #32654, eg disable lutimes()

* Sun Aug 19 2007 Olivier Thauvin <nanardon@mandriva.org> 2.6.9-4mdv2008.0
+ Revision: 66537
- CVE-2007-4091

* Wed Aug 15 2007 Olivier Thauvin <nanardon@mandriva.org> 2.6.9-3mdv2008.0
+ Revision: 63600
- fix --acls + --delete (#32411)

* Thu Jun 28 2007 Andreas Hasenack <andreas@mandriva.com> 2.6.9-2mdv2008.0
+ Revision: 45571
- rebuild with new serverbuild macro (-fstack-protector-all)


* Tue Nov 07 2006 Olivier Thauvin <nanardon@mandriva.org> 2.6.9-1mdv2007.0
+ Revision: 77064
- 2.6.9
- kill draksync patch (still need ?)
- disable dir-del patch, conflict with the acl one

* Sun Aug 06 2006 Olivier Thauvin <nanardon@mandriva.org> 2.6.8-3mdv2007.0
+ Revision: 53196
- ensure rsync is build with acl
- don't perform test on the cluster (see comment)
- remove changelog
- add patch to force nobody's group (#21340)
- inital rsync import

* Sun Jun 18 2006 Olivier Thauvin <nanardon@mandriva.org> 2.6.8-2mdv2007.0
- add patch to force nobody's group (#21340)

* Sun Apr 23 2006 Olivier Thauvin <nanardon@mandriva.org> 2.6.8-1mdk
- 2.6.8

* Fri Mar 17 2006 Olivier Thauvin <nanardon@mandriva.org> 2.6.7-2mdk
- path1: fix exclude with relative path (patch from rsync author)

* Sat Mar 11 2006 Olivier Thauvin <nanardon@mandriva.org> 2.6.7-1mdk
- 2.6.7

* Fri Jul 29 2005 Olivier Thauvin <nanardon@mandriva.org> 2.6.6-1mdk
- 2.6.6
- remove patch1, no longer need
- add --with --w/o patches options
- don't apply patches, test failed with acl patches (reported on the ML)

* Fri Jun 10 2005 Frederic Lepied <flepied@mandriva.com> 2.6.5-2mdk
- removed patch2 (not needed)

* Fri Jun 10 2005 Frederic Lepied <flepied@mandriva.com> 2.6.5-1mdk
- rediff patch2
- new release

* Thu Jun 09 2005 Olivier Thauvin <nanardon@mandriva.org> 2.6.4-2mdk
- apply 2 patches provide by rsync
- so fix #13854

* Thu May 05 2005 Olivier Thauvin <nanardon@mandriva.org> 2.6.4-1mdk
- 2.6.4
- make test in %%check

* Wed Nov 17 2004 Olivier Thauvin <thauvin@aerov.jussieu.fr> 2.6.3-1mdk
- 2.6.3 final

* Thu Aug 19 2004 Warly <warly@mandrakesoft.com> 2.6.3-0.pre1.1mdk
- new version to fix security issue

* Mon Jun 21 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 2.6.2-2mdk
- security fix for CAN-2004-0426 (patch3) (Stew Benedict)
- misc spec file fixes

* Sun May 30 2004 Per yvind Karlsen <peroyvind@linux-mandrake.com> 2.6.2-1mdk
- 2.6.2
- P2 from fedora:
	o Backport fix for crasher when passing multiple directories of the same
	  length (bug #123708)
- spec cosmetics

* Thu Jan 08 2004 Warly <warly@mandrakesoft.com> 2.6.0-1mdk
- new version

* Thu Dec 04 2003 Warly <warly@mandrakesoft.com> 2.5.7-1mdk
- new version (security fix)

